/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.api.controller;

import fr.unistra.sil.erp.back.api.model.Item;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * REST controller for the item list.
 * @author BEAUVAIS ANTOINE <antoine.beauvais@etu.unistra.fr>
 */
@RestController
public class ApiRetrieveInfoController {
    
    /**
     * Returns an Item as a JSON response.
     * @return an Item.
     */
    @GetMapping("/erp-back/api/v1/retrieveInfo")
    public Item retrieveInfo()
    {
        return new Item(1, "Test", 1.0, 0.5);
    }
}
